img-xbm(3tk)

NAME
img-xbm - Img, X Windows Bitmap Format (xbm)

SYNOPSIS
package require Tk

package require img::xbm ?1.4?

image create photo ?name? ?options?

DESCRIPTION
package require img::xbm.

Like all packages of Img it does not provide new commands, but extends the existing Tk command image so that it supports files containing raster images in the X Windows Bitmap Format (xbm). More specifically img::xbm extends Tk's photo image type.

The name of the new format handler is xbm.

The package img::xbm is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::xbm.

This handler provides new additional configuration options. See section XBM OPTIONS for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

[1] Image data in xbm format (options -data and -file) is detected automatically.

[2] The format name xbm is recognized by the option -format. In addition the value for the option is treated as list and may contain any of the special options listed in section XBM OPTIONS.

XBM OPTIONS
The handler provides the following options:

-foreground string
    Set the foreground color of the bitmap. Default value is black. The color string may be given in a format as accepted by Tk_GetColor.

-background string
    Set the background color of the bitmap. Default value is transparent. The color string may be given in a format as accepted by Tk_GetColor.

SEE ALSO
img-bmp, img-dted, img-flir, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

KEYWORDS
image handling, tk, xbm

COPYRIGHT
Copyright (c) 1995-2023 Jan Nijtmans <nijtmans@users.sourceforge.net>